## chkrootkit 0.35

=== Makefile ===
#
# Makefile for Chkrootkit (C), Pangeia Informatica
# $Id: Makefile,v 1.3 2000/12/21 23:35:54 sob Exp $
#
CC       = gcc
CFLAGS	 = -DHAVE_LASTLOG_H  
STATIC   = -static
#CFLAGS += -Wall
# OBSOLETE Area
# If you have FreeBSD or OpenBSD 2.x, uncomment the next line
# CFLAGS	 = 
# If you have Solaris 2.x, uncomment the next three lines 
#CFLAGS	 = -DHAVE_LASTLOG_H -DSOLARIS2
#STATIC = -B static 
#LDFLAGS=-lsocket
#For newest versions of Linux unncoment next line
#CFLAGS	 += -DLASTLOG_FILENAME='"/var/log/lastlog"' -DWTEMP_FILENAME='"/var/log/wtmp"'
# End OBSOLETE Area

SRCS   = chklastlog.c chkwtmp.c ifpromisc.c chkproc.c check_wtmpx.c strings.c
 
OBJS   = chklastlog.o chkwtmp.o ifpromisc.o chkproc.o check_wtmpx.o strings.o

all: 
	@echo '*** stoping make sense ***'
	@exec make sense        

sense: chklastlog chkwtmp ifpromisc chkproc check_wtmpx strings

chklastlog:   chklastlog.c
	${CC} ${CFLAGS} -o $@ chklastlog.c
	@strip $@

chkwtmp:   chkwtmp.c
	${CC} ${CFLAGS} -o $@ chkwtmp.c
	@strip $@

ifpromisc:   ifpromisc.c
	${CC} ${CFLAGS} ${LDFLAGS} -o $@ ifpromisc.c
	@strip $@

chkproc:   chkproc.c
	${CC} ${LDFLAGS} -o $@ chkproc.c
	@strip $@

check_wtmpx:   check_wtmpx.c
	${CC} ${LDFLAGS} -o $@ check_wtmpx.c
	@strip $@

strings:   strings.c
	${CC} ${STATIC} ${LDFLAGS} -o $@ strings.c
	@strip $@

clean:
	rm -f ${OBJS} core chklastlog chkwtmp ifpromisc chkproc check_wtmpx strings

## chkrootkit 0.44

=== Makefile ===
#
# Makefile for chkrootkit
# (C) 1997-2003 Nelson Murilo, Pangeia Informatica, AMS Foundation and others.
#

CC       = gcc
CFLAGS	 = -DHAVE_LASTLOG_H
STATIC   = -static

###
### Solaris 2.x
###
# If you have Solaris 2.x, uncomment the next two lines
#CFLAGS	 = -DHAVE_LASTLOG_H -DSOLARIS2
#LDFLAGS=-lsocket
# If you use gcc in Solaris don't uncomment STATIC line below
#STATIC = -B static

###
### FreeBSD or OpenBSD 2.x
###
# If you have FreeBSD or OpenBSD 2.x, uncomment the next line
#CFLAGS	 =


SRCS   = chklastlog.c chkwtmp.c ifpromisc.c chkproc.c chkdirs.c check_wtmpx.c strings.c

OBJS   = chklastlog.o chkwtmp.o ifpromisc.o chkproc.o chkdirs.o check_wtmpx.o strings-static.o

all:
	@echo '*** stopping make sense ***'
	@exec make sense

sense: chklastlog chkwtmp ifpromisc chkproc chkdirs check_wtmpx strings-static

chklastlog:   chklastlog.c
	${CC} ${CFLAGS} -o $@ chklastlog.c
	@strip $@

chkwtmp:   chkwtmp.c
	${CC} ${CFLAGS} -o $@ chkwtmp.c
	@strip $@

ifpromisc:   ifpromisc.c
	${CC} ${CFLAGS} ${LDFLAGS} -o $@ ifpromisc.c
	@strip $@

chkproc:   chkproc.c
	${CC} ${LDFLAGS} -o $@ chkproc.c
	@strip $@

chkdirs:   chkdirs.c
	${CC} ${LDFLAGS} -o $@ chkdirs.c
	@strip $@

check_wtmpx:   check_wtmpx.c
	${CC} ${LDFLAGS} -o $@ check_wtmpx.c
	@strip $@

strings-static:   strings.c
	${CC} ${STATIC} ${LDFLAGS} -o $@ strings.c
	@strip $@

clean:
	rm -f ${OBJS} core chklastlog chkwtmp ifpromisc chkproc chkdirs check_wtmpx strings-static

## chkrootkit 0.49

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #
 # Makefile for chkrootkit
-# (C) 1997-2003 Nelson Murilo, Pangeia Informatica, AMS Foundation and others.
+# (C) 1997-2007 Nelson Murilo, Pangeia Informatica, AMS Foundation and others.
 #
 
 CC       = gcc
@@ -17,6 +17,12 @@
 #STATIC = -B static
 
 ###
+### Mac OS X
+###
+# If you have Mac OS X, uncomment the next line
+#STATIC =
+
+###
 ### FreeBSD or OpenBSD 2.x
 ###
 # If you have FreeBSD or OpenBSD 2.x, uncomment the next line
@@ -31,7 +37,7 @@
 	@echo '*** stopping make sense ***'
 	@exec make sense
 
-sense: chklastlog chkwtmp ifpromisc chkproc chkdirs check_wtmpx strings-static
+sense: chklastlog chkwtmp ifpromisc chkproc chkdirs check_wtmpx strings-static chkutmp
 
 chklastlog:   chklastlog.c
 	${CC} ${CFLAGS} -o $@ chklastlog.c
@@ -42,7 +48,7 @@
 	@strip $@
 
 ifpromisc:   ifpromisc.c
-	${CC} ${CFLAGS} ${LDFLAGS} -o $@ ifpromisc.c
+	${CC} ${CFLAGS} ${LDFLAGS}  -D_FILE_OFFSET_BITS=64 -o $@ ifpromisc.c
 	@strip $@
 
 chkproc:   chkproc.c
@@ -57,9 +63,14 @@
 	${CC} ${LDFLAGS} -o $@ check_wtmpx.c
 	@strip $@
 
+chkutmp:   chkutmp.c
+	${CC} ${LDFLAGS} -o $@ chkutmp.c
+	@strip $@
+
+
 strings-static:   strings.c
 	${CC} ${STATIC} ${LDFLAGS} -o $@ strings.c
 	@strip $@
 
 clean:
-	rm -f ${OBJS} core chklastlog chkwtmp ifpromisc chkproc chkdirs check_wtmpx strings-static
+	rm -f ${OBJS} core chklastlog chkwtmp ifpromisc chkproc chkdirs check_wtmpx strings-static chkutmp

## chkrootkit 0.50

=== debian/changelog ===
chkrootkit (0.50-4+deb9u1) stretch; urgency=medium

  * Non-maintainer upload.
  * Backport fix for regular expression for filtering out dhcpd and dhclient as
    false positives from the packet sniffer test.

  [ Lorenzo "Palinuro" Faletra ]
  * Update /etc/cron.daily/chkrootkit (Closes: #600109)

 -- Moritz Schlarb <schlarbm@uni-mainz.de>  Mon, 21 Jan 2019 11:45:44 +0100

chkrootkit (0.50-4) unstable; urgency=low

  * [132754e] Fix windigo false positive (Closes:#796599)
  * [76f4907] Update Brazilian Portuguese debconf templates translation
    (Closes:#652829) Thanks to Flamarion Jorge
  * [9716d27] Fix FTCBFS: Let dh_auto_build pass cross compilers to make.
    (Closes:#843909) Thanks to Helmut Grohne

 -- Giuseppe Iuculano <iuculano@debian.org>  Tue, 27 Dec 2016 13:14:43 +0100

chkrootkit (0.50-3.2) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/patches/fix-stack-smash.patch:
    - Fix segfault when running chkrootkit. (Closes: #767403)

 -- Artur Rona <ari-tczew@ubuntu.com>  Sun, 06 Sep 2015 21:48:14 +0200

chkrootkit (0.50-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add missing dependency on openssh-client. Closes: #785322
  * Add Built-Using field to track the source package required to rebuild
    the statically linked binary. Closes: #769353

 -- Raphaël Hertzog <hertzog@debian.org>  Tue, 07 Jul 2015 17:48:12 +0200

chkrootkit (0.50-3) unstable; urgency=high

  * [9e1ed7f] Ignore Suckit false positive (Closes: #740898)

 -- Giuseppe Iuculano <iuculano@debian.org>  Mon, 23 Mar 2015 10:08:37 +0100

chkrootkit (0.50-2) unstable; urgency=medium

  * [75640f4] Switch to dpkg-source 3.0 (quilt) format and apply patches
    (Closes: #754684)

 -- Giuseppe Iuculano <iuculano@debian.org>  Sun, 19 Oct 2014 12:55:16 +0200

chkrootkit (0.50-1) unstable; urgency=low

  * [08e52cd] Imported Upstream version 0.50
  * [64dfe63] Refreshed patches
  * [c2c3369] Fix FTBFS on kfreebsd-* (Closes: #754684)
  * [2c99320] Fixed the suspect PHP files check (Closes: #705946)
    Thanks to Andreas Stempfhuber
  * [6763191] Use hardening flags

 -- Giuseppe Iuculano <iuculano@debian.org>  Sat, 18 Oct 2014 17:43:22 +0200

chkrootkit (0.49-5) unstable; urgency=high

  [ Luca Capello ]
  * [c2fb1af] debian/patches/kallsyms.patch: DEP-3, credits to original author
  * [eeba363] debian/patches/kallsyms.patch:
    (Closes: #680263) check N.M, not only M

  [ Giuseppe Iuculano ]
  * [9c9d633] Fix CVE-2014-0476.
    Thanks to Thomas Stangner

 -- Giuseppe Iuculano <iuculano@debian.org>  Tue, 03 Jun 2014 20:58:19 +0200

chkrootkit (0.49-4.1) unstable; urgency=low

  * Non-maintainer upload.
  * Trivial lintian fixes:
    - Do not use brace expansion in chkrootkit.install
    - Introduce tricial build-arch and build-indep build targets
  * Fix pending l10n issues. Debconf translations:
    - Danish (Joe Hansen).  Closes: #605436
    - Dutch (Jeroen Schot).  Closes: #623569
    - Catalan (Innocent De Marchi).  Closes: #632199
    - Slovak (Slavko).  Closes: #651186

 -- Christian Perrier <bubulle@sesostris.kheops.frmug.org>  Thu, 15 Dec 2011 20:40:16 +0100

chkrootkit (0.49-4) unstable; urgency=low

  * [4cb2e6c] Removed unused patches
  * [08588e1] Updated my email address, and removed DMUA
  * [b572b4a] Bump Standards-Version, no changes needed
  * [19ce77e] Fixed -e option in cron.daily. (Closes: #549938) - thanks
    to Xavier

 -- Giuseppe Iuculano <iuculano@debian.org>  Wed, 03 Mar 2010 16:02:28 +0100

chkrootkit (0.49-3) unstable; urgency=low

  * [543dafe] Fixed chkutmp parser and added a regexp to ignore PIDs in
    chkutmp output, thanks to Aaron M. Ucko. (Closes: #542327)
  * [d016db0] chkutmp: sort ps output by tty,ruser,args. Thanks to Aaron
    M. Ucko
  * [c1fb66c] Updated to standards version 3.8.3 (No changes needed)

 -- Giuseppe Iuculano <giuseppe@iuculano.it>  Fri, 28 Aug 2009 10:29:14 +0200

chkrootkit (0.49-2) unstable; urgency=low

  * [3ee046b] Provide exit code at the end of chkrootkit script, thanks
    to Arjan Opmeer (Closes: #541060)

 -- Giuseppe Iuculano <giuseppe@iuculano.it>  Sat, 15 Aug 2009 08:27:37 +0200

chkrootkit (0.49-1) unstable; urgency=low

  * [70bf018] Imported Upstream version 0.49
  * [508aa04] Refreshed patches, removed nophpcheck.patch and
    fixchkdirsinppc.patch
  * [64b0759] Fix a typo in chkrootkit -q check, thanks to  Jesse Norell
    (Closes: #538277)
  * [bdc9cac] Updated to standards version 3.8.2 (No changes needed)

 -- Giuseppe Iuculano <giuseppe@iuculano.it>  Sun, 09 Aug 2009 12:09:43 +0200

chkrootkit (0.48-10) unstable; urgency=low

  * [5feed88] Add a symlink for chklastlog and chkwtmp in /usr/sbin
  * [d194ed8] debian/cron.daily: Updated the dhcpd regexp to handle
    ethernet aliases. Thanks Richard Salts. (Closes: #525370)
  * [360a01a] Updated to standards version 3.8.1 (No changes needed)
  * [f757c97] Bump to debhelper 7 compatibility levels
  * [9f66bca] debian/control: Updated Vcs-Browser field
  * [0d019b3] debian/rules: use dh_prep instead of deprecated dh_clean
    -k
  * [a73e8f6] use set -e in debian/config and debian/cron.daily and fix
    pedantic lintian warning maintainer-script-without-set-e

 -- Giuseppe Iuculano <giuseppe@iuculano.it>  Fri, 24 Apr 2009 12:05:04 +0200

chkrootkit (0.48-9) unstable; urgency=low

  * [5e5e86d] Updated Spanish debconf translation, thanks to Francisco
    Javier Cuadrado (Closes: #507753)
  * [bda385f] Switch to quilt
  * [730645f] debian/README.source: Updated with quilt info
  * [4f11213] debian/patches/excludes.patch: extend -e options also for
    files associated with specific rootkits (Closes: #498062) and write
    rootkit filenames (Closes: #126160), thanks to James R. Van Zandt.
  * [fe81414] debian/cron.daily: Warns about the change until the user
    acknowledges the change. (Closes: #286735, #445955) Thanks to
    Richard Lewis
  * [d22dd97] Use /var/log/chkrootkit as log dir instead of
    /var/cache/chkrootkit, and remove it on purge



=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

#export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)


CFLAGS += -Wall -g `getconf LFS_CFLAGS`

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

BUILT_USING=$(shell dpkg-query -f '$${source:Package} (= $${source:Version}), ' -W libc-dev-bin)

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	touch configure-stamp

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp: configure-stamp 
	dh_testdir
	# Add here commands to compile the package.
	dh_auto_build CFLAGS="$(CFLAGS) -DHAVE_LASTLOG_H -DLASTLOG_FILENAME='\"/var/log/lastlog\"' -DWTEMP_FILENAME='\"/var/log/wtmp\"'"
	touch build-stamp

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	# Add here commands to clean up after the build process.
	[ ! -f Makefile ] || $(MAKE) clean
	dh_clean
	debconf-updatepo

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	# Add here commands to install the package into debian/chkrootkit.
	#$(MAKE) install DESTDIR=$(CURDIR)/debian/chkrootkit
	dh_install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
	dh_installdebconf	
	dh_installcron
	dh_installman debian/chklastlog.1 debian/chkrootkit.1 debian/chkwtmp.1
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol -- -VBuilt-Using="$(BUILT_USING)"
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## chkrootkit 0.52

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # (C) 1997-2007 Nelson Murilo, Pangeia Informatica, AMS Foundation and others.
 #
 
-CC       = gcc
+CC       = cc
 CFLAGS	 = -DHAVE_LASTLOG_H
 STATIC   = -static

=== debian/changelog ===
chkrootkit (0.52-1ubuntu0.1) bionic; urgency=medium

  * d/patches/24_fix_chktcpd.patch: Apply patch to fix tcpd false-positive
    detections. (LP: #1808882)
    Thanks to Francois Marier for the patch.

 -- Thomas Ward <teward@ubuntu.com>  Tue, 29 Jan 2019 16:35:21 -0500

chkrootkit (0.52-1) unstable; urgency=medium

  * Assign to pkg-security.
  * Bump to dh 10.
  * New upstream version 0.52
  * d/patches
    + Reorder,refresh and polish all patches
    + Replace use of /lib/init/rw with /run
      in 09_excludes.patch (Closes: #633047)
    + Add 20_Proper-flags.patch.
    + Add 21_fix_loc_function.patch. Thanks to Arthur de Jong
      (Closes: #659850)
    + Add 22_fix_Makefile_target.patch. Thanks to Lukas Schwaighofer.
    + Add 23_fix_cross_compilation.patch. Lukas Schwaighofer.
  * d/copyright
    + Rewrite to be dep5 compliant.
  * d/rules
    + Rewrite using dh syntax.
    + Keep full BUILT_USING assignment. Thanks to G. Costamagna
    + Remove override_dh_auto_build. Thanks to Lukas Schwaighofer
  * No need build-depends on quilt
  * Bump to Standards-version 4.0.0
  * Add optional ignore list to reduce false positives.
    Thanks to www.electricmonk.nl (Closes: #660998)
  * Remove unneeded directories in dir file.

 -- Marcos Fouces <marcos.fouces@gmail.com>  Mon, 24 Jul 2017 23:06:29 +0200

=== debian/control ===
Source: chkrootkit
Section: misc
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Security Tools Packaging Team <pkg-security-team@lists.alioth.debian.org>
Uploaders: Marcos Fouces <marcos.fouces@gmail.com>
Standards-Version: 4.0.0
Build-Depends: debhelper (>= 10), po-debconf
Homepage: http://www.chkrootkit.org/
Vcs-Git: https://anonscm.debian.org/git/pkg-security/chkrootkit.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-security/chkrootkit.git

Package: chkrootkit
Architecture: any
Built-Using: ${Built-Using}
Depends: ${shlibs:Depends}, ${misc:Depends}, binutils, net-tools, debconf, procps, openssh-client
Description: rootkit detector
 The chkrootkit security scanner searches the local system for signs
 that it is infected with a 'rootkit'. Rootkits are set of programs
 and hacks designed to take control of a target machine by using known
 security flaws.
 .
 Types that chkrootkit can identify are listed on the project's home page.
 .
 Please note that where chkrootkit detects no intrusions, this does
 not guarantee that the system is uncompromised. In addition to
 running chkrootkit, more specific tests should always be performed.

=== debian/watch ===
version=3
opts=pasv ftp://ftp.pangeia.com.br/pub/seg/pac/chkrootkit-(.*)\.tar\.gz

## chkrootkit 0.53

=== debian/changelog ===
chkrootkit (0.53-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Fix day-of-week for changelog entries 0.31-2.

  [ Marcos Fouces ]
  * Change section of binary manpages from 1 to 8 as they are
    administrator tools.
  * Bump to Standards-Version: 4.5.0 (no changes required).
  * Add Rules-Requires-Root: no in d/control.
  * d/chkrootkit.cron.daily:
    ~ Remove outdated sed filtering based on old network
      interface name scheme.
    ~ Rename properly.
    ~ Redirect poperly chkrootkit stderr. (Closes: #934486).
    ~ Set exit status always to zero using " || true". (Closes: #943727)
  * d/chkrootkit.8:
    ~ Update and improve man page.
  * d/patches:
    ~ Add 25_fix-nfs-legacy-snifers.patch. (Closes: #580491, #548582, #919911).
    ~ Add 26_improve-info-help-display.patch. Add more info on "-e"
      and "-s" options (Closes: #586897).
    ~ Add 27_fix-race-condition-ps-proc.patch (Closes: #535942).
    ~ Fix 17_Suckitfalse.patch for non-systemd init systems. (Closes: #901557).
    ~ Refresh patches.
  * Update uploader email to @debian.org

  [ Christian Göttsche ]
  * Improve 27_fix-race-condition-ps-proc.patch
  * Add patches handling compiler and static analyzer issues
  * Add some default compiler warnings
  * Bump to debhelper compat level 13

 -- Marcos Fouces <marcos@debian.org>  Tue, 06 Oct 2020 23:08:55 +0200

chkrootkit (0.53-1) unstable; urgency=medium

  * New upstream version 0.53
  * Refresh patches for new upstream release.

 -- Marcos Fouces <marcos.fouces@gmail.com>  Fri, 19 Jul 2019 23:19:47 +0200

chkrootkit (0.52-3) unstable; urgency=medium

  * d/patches:
    - Fix for incorrectly initialized variable in chk_tcpd(). Thanks to
    François Marier (Closes: #919254).
    - Fix minor spelling error in 02_workingdir.patch (spotted by Lintian).
  * d/control
    - Bump debhelper compatibility level to 12
    - Switch Build-Depends from debhelper to debhelper-compat.
    - Bump to Standards-revision 4.3.0 (no changes required).
  * d/compat
    - Dropped. It became obsolete since dh 12.
  * d/changelog
    - Remove trailing whitespaces.

 -- Marcos Fouces <marcos.fouces@gmail.com>  Fri, 01 Mar 2019 00:23:34 +0000

chkrootkit (0.52-2) unstable; urgency=medium

  * Team upload.

  [ Lorenzo "Palinuro" Faletra ]
  * Update /etc/cron.daily/chkrootkit (Closes: #600109).
  * Add exception for ser2net in scalper() (Closes: #564147).

  [ Raphaël Hertzog ]
  * Update team maintainer address to Debian Security Tools
    <team+pkg-security@tracker.debian.org>
  * Update Vcs-Git and Vcs-Browser for the move to salsa.debian.org
  * Bump Standards-Version to 4.1.4.
  * Fix typos spotted by Lintian in patches metadata.

  [ Christian Göttsche ]
  * Fix noise in quiet mode (Closes: #872027)

 -- Raphaël Hertzog <hertzog@debian.org>  Thu, 19 Apr 2018 22:57:12 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: chkrootkit
 Section: misc
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Security Tools Packaging Team <pkg-security-team@lists.alioth.debian.org>
-Uploaders: Marcos Fouces <marcos.fouces@gmail.com>
-Standards-Version: 4.0.0
-Build-Depends: debhelper (>= 10), po-debconf
+Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
+Uploaders: Marcos Fouces <marcos@debian.org>
+Standards-Version: 4.5.0
+Build-Depends: debhelper-compat (= 13), po-debconf
 Homepage: http://www.chkrootkit.org/
-Vcs-Git: https://anonscm.debian.org/git/pkg-security/chkrootkit.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-security/chkrootkit.git
+Vcs-Git: https://salsa.debian.org/pkg-security-team/chkrootkit.git
+Vcs-Browser: https://salsa.debian.org/pkg-security-team/chkrootkit
+Rules-Requires-Root: no
 
 Package: chkrootkit
 Architecture: any

## chkrootkit 0.54

=== debian/changelog ===
chkrootkit (0.54-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches for new upstream release.
  * Bump to Standards-Version 4.5.1 (no changes needed).
  * Upgrade watch file uscan version to 4.
  * Update copyright dates.

 -- Marcos Fouces <marcos@debian.org>  Thu, 07 Jan 2021 08:53:34 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
 Uploaders: Marcos Fouces <marcos@debian.org>
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Build-Depends: debhelper-compat (= 13), po-debconf
 Homepage: http://www.chkrootkit.org/
 Vcs-Git: https://salsa.debian.org/pkg-security-team/chkrootkit.git

=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND = -Wall -Wextra -Wmissing-format-attribute -Wmissing-noreturn -Wpointer-arith -Wshadow -Wwrite-strings
export DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

BUILT_USING=$(shell dpkg-query -f '$${source:Package} (= $${source:Version}), ' -W libc-dev-bin)

%:
	dh $@
	
override_dh_gencontrol:
	dh_gencontrol -- -VBuilt-Using="$(BUILT_USING)"

## chkrootkit 0.55

=== debian/changelog ===
chkrootkit (0.55-4) unstable; urgency=medium

  [ Richard Lewis ]
  * Prevent autopkgtests failing on non-amd64 architectures due to
     differing output from the test for 'Linux/Ebury', which will
     only run on am64

  [ Marcos Fouces ]
  * Fix minor spelling errors spotted by Lintian.

 -- Marcos Fouces <marcos@debian.org>  Thu, 23 Dec 2021 18:12:03 +0100

chkrootkit (0.55-3) unstable; urgency=medium

  [ Richard Lewis ]
  * Prevent autopkgtests failing in lxc containers where root cannot
     read files in /dev (patch 61, 62)
  * Make test for T.R.K capable of reporting suspicious files (patch 63)

  [ Marcos Fouces ]
  * Fix minor spelling errors.

 -- Marcos Fouces <marcos@debian.org>  Wed, 08 Dec 2021 00:01:17 +0100

chkrootkit (0.55-2) unstable; urgency=medium

  [ Richard Lewis ]
  * Move configuration to /etc/chkrootkit/chkrootkit.conf and manage
    it as a conffile rather than via debconf
  * This enables various improvements to /etc/cron.daily/chkrootkit:
    - Improved default filtering and make filtering fully customisable
      (Closes: #630880, #666989, #669333, #677315, #877666, #488558).
    - run under ionice if possible (Closes: #745431)
  * Remove messages "OooPS, not expected" messages from
     chkproc by re-increasing MAX_PROCESSES to the upstream
     value (Closes: #982998) and preventing chkproc sending kill signals
     to processes to see if they might be malicious. (patches 55, 55a)
     This does re-disable a test for Enye LKM.
  * Prevent ckrootkit hanging when invoked from an LXC container
     (Closes: #872379), thanks to Scott Barker for identifying the issue
     (patch 61).
  * Various improvement to the output of chkrootkit
     - stop merging output of sniffer test into a single line so '-s'
       can be used as intended (patch 60)
     - fix the test of sshd so it runs when sshd is found
        instead of when it is not (patch 56)
     - ensure rexedcs tests produces any output when it finds
       something suspicious (patch 60)
     - ensure output lines up, especially if '-q' is not present
     - remove spurious spaces (patch 53, 54, 55a,57, 58)
     - do not list directories twice in list of 'suspicious' files (patch 59)
        and show output when -q not given (patch 25a)
     - fix spelling error in chkdirs output (patch 52)
     - further improvements to output of 'chkrootkit -h' (edits to
        patch 26, patch 26a)
  * Remove bashism from d/25_fix-nfs-legacy-sniffers.patch.
    (Closes: #994153).
  * Documentation copy-edited for grammar (and occaisional accuracy)
  * Update dependencies so that packages whose binaries are tested are listed
     in 'Enhances' and add iproute2 as a preferred alternative to net-tools
  * Update documentation of earlier patches (1-51), recording
     which have been sent upstream
  * Add some autopkgtests

  [ Marcos Fouces ]
  * Update copyright file.

 -- Marcos Fouces <marcos@debian.org>  Tue, 09 Nov 2021 22:44:33 +0100

chkrootkit (0.55-1) unstable; urgency=medium

  * New upstream version 0.55
  * Refresh all patches for new upstream release.
  * Bump to Standards-Version 4.6.0 (no changes needed).

 -- Marcos Fouces <marcos@debian.org>  Fri, 23 Jul 2021 00:01:21 +0200

=== debian/control ===
Source: chkrootkit
Section: misc
Priority: optional
Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
Uploaders: Marcos Fouces <marcos@debian.org>
Standards-Version: 4.6.0
Build-Depends: debhelper-compat (= 13)
Homepage: http://www.chkrootkit.org/
Vcs-Git: https://salsa.debian.org/pkg-security-team/chkrootkit.git
Vcs-Browser: https://salsa.debian.org/pkg-security-team/chkrootkit
Rules-Requires-Root: no

Package: chkrootkit
Architecture: any
Built-Using: ${Built-Using}
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: binutils, procps, iproute2|net-tools
Enhances:
 bcron,biff,bind9,bsdextrautils,busybox-syslogd,
 citadel-server,coreutils,courier-mta,cron,
 dma,
 esmtp-run,exim4-daemon-heavy,exim4-daemon-light,
 fetchmail,findutils,fingerd,finit-sysv,
 gpm,grep,
 hdparm,
 inetutils-syslogd,inetutils-telnetd,
 login,lsof,
 mailutils,masqmail,mingetty,msmtp-mta,
 net-tools,nullmailer,
 openbsd-inetd,opensmtpd,openssh-client,openssh-server,
 passwd,postfix,procps,psmisc,
 rpcbind,rsh-redone-server,runit-init,
 ssmtp,systemd-cron,systemd-sysv,sysvinit-core,sysvinit-utils,
 tar,tcm,tcpd,tcpdump,traceroute,
 util-linux,
Description: rootkit detector
 The chkrootkit security scanner searches for signs that the system is
 infected with a 'rootkit'. Rootkits are a form of malware that seek
 to exploit security flaws to grant unauthorised access to a
 computer or its services, generally for malicious purposes.
 .
 chkrootkit can identify signs of over 70 different rootkits (see the
 project's website for a list).
 .
 Please note that an automated tool like chkrootkit can never
 guarantee a system is uncompromised. Nor does every report always
 signify a genuine problem: human judgement and further investigation
 will always be needed to assure the security of your system.

=== debian/watch ===
version=4
opts=pasv ftp://ftp.pangeia.com.br/pub/seg/pac/chkrootkit-(.*)\.tar\.gz

## chkrootkit 0.57

=== debian/changelog ===
chkrootkit (0.57-2) unstable; urgency=medium

  [ Richard Lewis ]
  * Team upload
  * Fix several tests that did not work, contained syntax errors or
     where the output did not make clear what had been found
     (and remove spurious file in /usr/lib/chkrootkit/1 created as a result,
     thanks to Thomas Dorner)
     (Closes: #1032122, #589682)
  * Update autopkgtests to avoid warnings from grep (Thanks to Seb35)
     (Closes: #1019460)
  * Add systemd timer (Closes: #745433 as you can change the time the unit runs)
  * Add NEWS.Debian to document disabled tests
  * All lintian warnings are now fixed or overridden

 -- Richard Lewis <richard.lewis.debian@googlemail.com>  Sun, 12 Mar 2023 12:31:00 +0100

chkrootkit (0.57-1) unstable; urgency=medium

  [ Seb35 ]
  * Downloading address changed

  [ Marcos Fouces ]
  * New upstream version 0.57
  * Refresh patches for new upstream release.
  * Bump to Standards-Version 4.6.2 (no changes needed).
  * Update d/copyright.

 -- Marcos Fouces <marcos@debian.org>  Thu, 09 Feb 2023 00:24:44 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
 Uploaders: Marcos Fouces <marcos@debian.org>
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Build-Depends: debhelper-compat (= 13)
 Homepage: http://www.chkrootkit.org/
 Vcs-Git: https://salsa.debian.org/pkg-security-team/chkrootkit.git
@@ -14,7 +14,9 @@
 Architecture: any
 Built-Using: ${Built-Using}
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Recommends: binutils, procps, iproute2|net-tools
+Recommends: binutils, procps, iproute2|net-tools,
+ systemd-sysv|cron|anacron|cron-daemon,
+ mailx, default-mta | mail-transport-agent
 Enhances:
  bcron,biff,bind9,bsdextrautils,busybox-syslogd,
  citadel-server,coreutils,courier-mta,cron,

=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,11 @@
 
 %:
 	dh $@
-	
+
 override_dh_gencontrol:
 	dh_gencontrol -- -VBuilt-Using="$(BUILT_USING)"
+
+override_dh_installsystemd:
+  # do nothing (no enable/start/stop/restart) for the .service, but keep default behaviour for .timer
+	dh_installsystemd --no-enable --no-start --no-stop-on-upgrade --no-restart-after-upgrade chkrootkit.service
+	dh_installsystemd chkrootkit.timer

=== debian/tests/control ===
# chkrootkit needs to run as root so all tests are needs-root
Tests: test-chkrootkit
Depends: @, binutils, procps, iproute2, net-tools
Restrictions: needs-root

## find-debs-that-are-enhanced is run on push to salsa.debian.org but
# is not included in autopkgtests to avoid over-coupling of this
# package to autopkgtest dependencies
#Tests: find-debs-that-are-enhanced
#Depends: @,awk,sed,command-not-found
#Restrictions: needs-root

## chkrootkit 0.58b

=== Makefile ===
--- 
+++ 
@@ -3,8 +3,8 @@
 # (C) 1997-2007 Nelson Murilo, Pangeia Informatica, AMS Foundation and others.
 #
 
-CC       = cc
-CFLAGS	 = -DHAVE_LASTLOG_H
+CC       ?= cc
+CFLAGS	 += -DHAVE_LASTLOG_H
 STATIC   = -static
 
 ###

=== debian/changelog ===
chkrootkit (0.58b-6) unstable; urgency=medium

  * Team upload
  * Update debian/patches/chklastlog.patch to fix compilation using gcc-15
    (Closes: #1096431)
  * Fix syntax error in debian/patches/chkproc.patch (should allow
    building on non-Linux platforms such as hurd-amd64)
  * Fix salsa pipeline (debian/test/find-debs-that-are-enhanced needed
    updating now that login is no longer essential, and because slogin was
    removed from debian)
  * Standards-Version: 4.7.2 (no changes needed)
  * autopkgtest minor cleanups:
     - refuse to run if $AUTOPKGTEST_TMP is not set (the tests should only
       be run in a chroot)
     - ensure temp files are cleaned up at the end (makes it easier to
       re-run in a chroot while debugging)
     - work if passwd is not installed (it is no longer Essential)
     - attempt to make the logic more robust in case other packages stop
       being essential in future
     - fix various indentation issues (using shfmt)
   * Replace old FSF address with URL in debian/copyright

 -- Richard Lewis <richard.lewis.debian@googlemail.com>  Fri, 26 Sep 2025 23:35:00 +0100

chkrootkit (0.58b-5) unstable; urgency=medium

  * Team upload

  [ Richard Lewis ]
  * Add binutils and procps to 'depends' (Thanks to Stephen Helma for
    spotting this). (Closes: #1107587)

 -- Richard Lewis <richard.lewis.debian@googlemail.com>  Sat, 14 Jun 2025 14:00:00 +0100

chkrootkit (0.58b-4) unstable; urgency=medium

  * Team upload

  [ Richard Lewis ]
  * Set ProtectSystem in the systemd unit to prevent tests modifying
    the access times of files that are examined. This ensures
    systemd-tmpfiles can continue to detect unused files in /tmp
    (Closes: #1089588)
  * Ensure the ldsopreload test can be run on its own
  * chkwtmp: prevent potential overflow in argument parsing
  * chkdirs: simplify code and improve message about unsupported
     fs: overlayfs is more likely to be the cause than btrfs
  * chkproc: fix detection of linux threads (prevents false positives),
     and improve output to show the command and systemd cgroup for
     suspicious pids
  * Refactor all debian patches to simplify upstreaming
  * Ensure everything compiles but does not silently
     do nothing on unsupported (non-linux) systems
  * Improve autopkgtests so they make less assumptions about being able to
     see network managers on the host (Closes: #1093596)

  [ Sven Geuer ]
  * Bump Debian copyright years

 -- Richard Lewis <richard.lewis.debian@googlemail.com>  Wed, 5 Feb 2025 18:00:00 +0000

chkrootkit (0.58b-3) unstable; urgency=medium

  [ Richard Lewis ]
  * Team upload
  * Fix autopkgtests on non-amd64 architectures
  * Update debian/copyright file, and run
     wrap-and-sort -stkb (thanks to Simon Josefson)

 -- Richard Lewis <richard.lewis.debian@googlemail.com>  Sun, 29 Sep 2024 20:50:00 +0100

chkrootkit (0.58b-2) unstable; urgency=medium

  [ Richard Lewis ]
  * Team upload
  * Flag whether files flagged as 'suspicious' are from
     Debian packages (Closes: #1053979, #1049411). Thanks to
     Alban Browaeys for suggesting this.
  * Allow -e to hide much more results (Closes: #1025257 - you can
    use wildcards thanks to Peter Gervai for the suggestion)
  * Fix -r to not skip several tests.
  * Allow running as non-root (although some tests will not work,
    but most will)
  * Document false positive from ansible (Closes: #1049411)
     and mosh (Closes: #1075883)
  * Ensure check of PHP files copes with files with quotes
     in their names (Closes: #1071377)
  * Ensure the systemd timer runs once every day, even if
     the system is suspended (Closes: #1035025, thanks to
     'richardn')
  * (new patch 87a,b) Improve output from ifpromisc: It will
     now set an exit code of 1 if anything was found, and no
     output will be produced if there are no siffers
     (Closes: #1035303)
  * Skip utmp check if no /var/run/utmp: systems with a 64-bit
     time_t may no longer have this file at all (Closes: #1080332).
  * Skip wtmp check if no /var/log/wtmp: systems with a 64-bit
     time_t may no longer have this file at all (Closes: #1082087).
  * Skip lastlog check if no /var/log/lastlog: systems with
     a 64-bit time_t may no longer have this file at all
     (also part of #1082087).
  * Drop patch 22: not actually needed
  * Improve man-page (Closes: #1070231)
  * Update patch 20: Use CCFLAGS when building check_wtmpx
     (avoids blhc(1) warning)
  * Standards-Version 4.7.0 (no changes needed)

 -- Richard Lewis <richard.lewis.debian@googlemail.com>  Tue, 13 Aug 2024 12:50:00 +0100

chkrootkit (0.58b-1) unstable; urgency=medium

  [ Richard Lewis ]
  * Team upload
  * New upstream release (0.58b)
    - new option '-T' to exclude files system mount
       points (from some checks)
    - new checks for BPF Door and Tsunami DDoS Malware
    - (includes fix from debian patch 79)
  * Document that anything creating executables in /tmp, including
     'apt source' can create false positives (Closes: #1004232)
  * Update metadata and debian/watch: upstream website
     now supports https and the download location has changed
  * Refresh patches, and make minor improvement to patch 27 to
     fix compilation on hurd-i386 (Closes: #1035086)

 -- Richard Lewis <richard.lewis.debian@googlemail.com>  Thu, 20 Jul 2023 18:29:00 +0100

=== debian/control ===
Source: chkrootkit
Section: misc
Priority: optional
Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
Uploaders: Marcos Fouces <marcos@debian.org>,
Standards-Version: 4.7.2
Build-Depends: debhelper-compat (= 13),
Homepage: https://www.chkrootkit.org/
Vcs-Git: https://salsa.debian.org/pkg-security-team/chkrootkit.git
Vcs-Browser: https://salsa.debian.org/pkg-security-team/chkrootkit
Rules-Requires-Root: no

Package: chkrootkit
Architecture: any
Built-Using: ${Built-Using},
Depends: binutils, procps, ${misc:Depends}, ${shlibs:Depends},
Recommends:
 default-mta | mail-transport-agent,
 iproute2 | net-tools,
 mailx,
 systemd-sysv | cron | anacron | cron-daemon,
Enhances:
 bcron,
 biff,
 bind9,
 bsdextrautils,
 busybox-syslogd,
 citadel-server,
 coreutils,
 courier-mta,
 cron,
 cronie,
 dma,
 esmtp-run,
 exim4-daemon-heavy,
 exim4-daemon-light,
 fetchmail,
 findutils,
 fingerd,
 finit-sysv,
 gpm,
 grep,
 hdparm,
 inetutils-syslogd,
 inetutils-telnetd,
 login,
 lsof,
 mailutils,
 masqmail,
 mingetty,
 msmtp-mta,
 net-tools,
 nullmailer,
 openbsd-inetd,
 opensmtpd,
 openssh-client,
 openssh-server,
 passwd,
 postfix,
 procps,
 psmisc,
 rpcbind,
 rsh-redone-server,
 runit-init,
 rust-findutils,
 ssmtp,
 systemd-cron,
 systemd-sysv,
 sysvinit-core,
 sysvinit-utils,
 tar,
 tcm,
 tcpd,
 tcpdump,
 traceroute,
 util-linux,
 wtmpdb,
Description: rootkit detector
 The chkrootkit security scanner searches for signs that the system is
 infected with a 'rootkit'. Rootkits are a form of malware that seek
 to exploit security flaws to grant unauthorised access to a
 computer or its services, generally for malicious purposes.
 .
 chkrootkit can identify signs of over 70 different rootkits (see the
 project's website for a list).
 .
 Please note that an automated tool like chkrootkit can never
 guarantee a system is uncompromised. Nor does every report always
 signify a genuine problem: human judgement and further investigation
 will always be needed to assure the security of your system.

=== debian/tests/control ===
# chkrootkit needs to run as root so all tests are needs-root
# use 'unshare --net' so we can control what the 'sniffer' check will find
Test-Command: unshare --net debian/tests/test-chkrootkit
Depends:
 binutils,
 chkrootkit,
 iproute2,
 isc-dhcp-server,
 net-tools,
 procps,
 util-linux,
Restrictions: breaks-testbed, needs-root,

## find-debs-that-are-enhanced is run on push to salsa.debian.org but
# is not included in autopkgtests to avoid over-coupling of this
# package to autopkgtest dependencies
#Tests: find-debs-that-are-enhanced
#Depends: @,awk,sed,command-not-found
#Restrictions: needs-root

=== debian/watch ===
version=4
opts=pasv ftp://ftp.chkrootkit.org/pub/seg/pac/chkrootkit-(.*)\.tar\.gz
